/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package kelp.webapp.presentation;

//import org.enhydra.xml.xmlc.XMLCUtil;

//import org.w3c.dom.*;
import org.w3c.dom.html.HTMLElement;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;

/**
 * <p>
 * This presentation object dynamically creates an HTML page
 * showing the greeting from the application configuration file.
 * </p>
 */
public class GreetingServlet extends HttpServlet {
  private GreetingHTML page = null;

  public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
    page = createPage();
    response.getWriter().write(page.toDocument());
    response.getWriter().flush();
    response.flushBuffer();
  }

  public GreetingHTML createPage()  {
    page = new GreetingHTML();
    fixupGreeting();
    return page;
  }

  private void fixupGreeting() {
    HTMLElement element = page.getElementSpanGreeting();
//    KelpSample app = (KelpSample) comms.application;
//    XMLCUtil.getFirstText(element).setData(app.getGreeting());
  }


}


