/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package org.enhydra.kelp.common.capture;

import java.util.EventObject;

/**
 * Class declaration
 * 
 * 
 * @author
 * @version %I%, %G%
 */
public class WriteEvent extends EventObject {
    public static final int OUTPUT = 0;
    public static final int ERROR = 1;
    private int		    type = OUTPUT;
    private String	    string = new String();

    /**
     * Constructor declaration
     * 
     * 
     * @param source
     * @param t
     * @param s
     * 
     * @see
     */
    public WriteEvent(Object source, int t, String s) {
	super(source);

	type = t;
	string = s;
    }

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * @see
     */
    public String getString() {
	return string;
    } 

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * @see
     */
    public int getType() {
	return type;
    } 

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

